Page MenuHomePhabricator

Weekly Reports for Outreachy Round-14 project: Allow Programs & Events Dashboard to make automatic edits on connected wikis
Closed, ResolvedPublic

Description

Weekly reports for Task T161568 . Reports also posted on my MediaWiki page for Outreachy Round-14.

Week 1 Report (18th May, 2017): Community Bonding Period

I have begun the initial work on my bonding period objectives as mentioned in my Outreachy proposal. Here are a few things that I've made progress with:

  • Joined the project's Slack channel and Wikimedia's Zulip channel for GSoC/Outreachy. Introduced myself on the WikimediaEd channel
  • Started hanging out on the Outreachy IRC channel, set up my MediaWiki user page
  • Updated local project setup
  • Interacted on project Slack channel to set up meeting timings with mentors and fellow interns
  • Picked an issue, which involves creating an auto-complete search component for Wikipedia articles. After some basic discussion with my project mentor regarding the same, I realised that even though the issue is unrelated to my problem statement, picking it was a good idea, as it helped me identify many learning areas:
    1. Getting proficient working with React.js
    2. Familiarising myself with the MediaWiki API
    3. Getting comfortable with the project front-end best practices.
  • Started taking my knowledge of React and Redux to the next level, following a Udemy course and also began investigating the MediaWiki API
  • Will be taking my learning forward, and discussing project-relevant issues with my mentor and begin working on them

Week 2 Report (25th May, 2017): Community Bonding Period

  • Continued on my learning about project practices.
  • Decided on weekly meeting timings and other collaboration details with project mentors.

Week 3 Report (1st June, 2017): Coding period begins

  • Attended welcome call with both mentors, and other interns working on the project.
  • Started related code investigation, and understanding the Editing flow.
  • Attended daily check-in meetings.
  • Asked questions and doubts about related code.

Week 4 Report (8th June, 2017)

  • Investigated and learnt about Wikipedia templates and template editing as done in project.
  • Requested and was granted permission for Wikpedia OAuth consumer.
  • Discussions about auto editing process.
  • Participated in PR review process.
  • Daily check-ins.

Week 5 Report (15th June, 2017)

  • Begun hands-on coding and making code changes.
  • Created templates for P&E Dashboard.
  • Made changes towards generalizing template usage in project.
  • Investigated Sidekiq performance locally.
  • PR Reviews.
  • Daily check-ins.

Week 6 Report (22nd June, 2017)

  • Discussion regarding template nomenclature.
  • Discussing new design for WikiEdits class.
  • Opened PR.
  • Discussion on review changes and based design discussions.
  • Local testing for PR changes.
  • Outreachy/GSoC meet on #wikimedia-devrel.
  • Daily check-ins.

Week 7 Report (29th June, 2017)

  • Discussion over Sidekiq PR. PR merged.
  • Template design finalized.
  • Testing template edits.
  • Writing tests for Edits classes.
  • Daily check-ins.

Week 8 Report (6th July, 2017)

  • Focus n writing good RSpecs.
  • Prepare RSpec discussion content for check-in calls.
  • Pair program on tests with Sage.
  • Update PRs with all code changes.
  • Complete code review with Sage.
  • Daily check-ins.

Week 9 Report (13th July, 2017)

  • Made all reveiw changes.
  • Main PR got merged.
  • Discussion emails with Portuguese Wikipedia volunteer.
  • Preparing to test code changes after deployment.
  • Started new issue related to deleting course timelines.
  • Daily check-ins.

Week 10 Report (20th July, 2017)

  • More reveiw changes.
  • Code deployed.
  • Ad-hoc bug fixing with mentor after post-deployment testing.
  • Daily check-ins.

Week 11 Report (27th July, 2017)

  • Made more template related changes.
  • Added missing templates.
  • Zeroed down plan with Portuguese Wikipedia volunteer.
  • Started new issue related to user permissions.
  • Daily check-ins.

Week 12 Report (3rd August, 2017)

  • Investigation and doubt discussion for user permissions.
  • Solving login problems with mentor.
  • Checking for edits.
  • Daily check-ins.

Week 13 Report (10th August, 2017)

  • Discussions resume with Portuguese volunteer.
  • Permissions issue discussion with Mentor.
  • Permissions issue merged.
  • Preparing for project going live.
  • Daily check-ins.

Week 14 Report (17th August, 2017)

  • Prepared documentation for new language wikis to be added, as well as about code changes.
  • Project is live with active editing.
  • Checking for edits and bugs.
  • Busy with job hunt.

Week 15 Report (24th August, 2017)

  • Busy with job hunt.
  • Goodbye check-in with mentors.

Event Timeline

Restricted Application added a subscriber: Base. · View Herald TranscriptMay 18 2017, 12:21 PM
Medhabansal updated the task description. (Show Details)May 18 2017, 12:29 PM
This comment was removed by Medhabansal.
Medhabansal updated the task description. (Show Details)May 18 2017, 12:35 PM
Mvolz added a subscriber: Mvolz.Jun 15 2017, 8:46 AM

Hi @Medhabansal, can you keep this updated? We are missing 3 reports from you. Thanks!

Medhabansal updated the task description. (Show Details)Jun 15 2017, 8:50 AM

@Mvolz Hi, was updating this just right now. Updated. Thanks!

Sumit added a comment.Jun 27 2017, 6:25 AM

Hi @Medhabansal a gentle reminder to keep your weekly reports updated!

Medhabansal updated the task description. (Show Details)Jun 27 2017, 8:01 AM

Thanks @Sumit, will be regular now.

Medhabansal updated the task description. (Show Details)Jun 30 2017, 4:55 AM
Medhabansal updated the task description. (Show Details)Jul 17 2017, 6:48 AM
Medhabansal updated the task description. (Show Details)Sep 1 2017, 4:20 PM

Hi! If there is not anything remaining in this task could you please resolve it?

Medhabansal closed this task as Resolved.Sep 21 2017, 5:13 PM